/* *****************************************************************************
 * Copyright (c) IRISA Laboratory, 
 * Universite Bretagne Sud, France
 * <http://www-casa.irisa.fr/dodwan>
 *
 * This file is part of DoDWAN.
 * 
 * DoDWAN is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software 
 * Foundation, either version 3 of the License, or any later
 * version.
 * 
 * DoDWAN is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * DoDWAN.  If not, see <http://www.gnu.org/licenses/>.
 * ****************************************************************************/




package casa.dodwan.util;

import java.io.InputStream;
import java.io.FileInputStream;
import java.io.File;

import casa.dodwan.util.Compressor;

public class uncompress {

    // ------------------------------------------------------------
    private static void uncompress(String fname) 
	throws Exception {

	File file = new File(fname);
	InputStream in = new FileInputStream(file);
	int fileLength = (int) file.length();
	byte[] buffer = new byte[fileLength];
	in.read(buffer, 0, fileLength);
	in.close();
	
	byte[] result = Compressor.uncompress(buffer);
	System.out.write(result, 0, result.length);
    }

    // ------------------------------------------------------------
    public static void main(String[] args) throws Exception {

        if (args.length == 0) {
	    System.out.println("uncompress <fname>+");
	    System.exit(0);
        }

	for (String fname: args) {

	    try {
		uncompress(fname);
		System.out.println();
	    }
	    catch (Exception e) {
		e.printStackTrace();
	    }

	}
    }
}
